be.cin.mycarenet._1_0.carenet.types

## Class KatzType

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.KatzType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:56:23+01:00",
                 comments="JAXB RI v2.3.7")
      public class KatzType
      extends Object
      implements Serializable

  Java class for KatzType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="KatzType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="KatzScore" type="{urn:be:cin:mycarenet:1.0:carenet:types}KatzScoreType"/>
               <element name="ContinenceDetails" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="Dementia" type="{urn:be:cin:mycarenet:1.0:carenet:types}DementiaType" minOccurs="0"/>
               <element name="Prescripter" type="{urn:be:cin:mycarenet:1.0:carenet:types}NihiiType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KatzType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DementiaType` | `getDementia()` Gets the value of the dementia property.
    `List<Integer>` | `getKatzScore()` Gets the value of the katzScore property.
    `String` | `getPrescripter()` Gets the value of the prescripter property.
    `boolean` | `isContinenceDetails()` Gets the value of the continenceDetails property.
    `void` | `setContinenceDetails(boolean value)` Sets the value of the continenceDetails property.
    `void` | `setDementia(DementiaType value)` Sets the value of the dementia property.
    `void` | `setPrescripter(String value)` Sets the value of the prescripter property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KatzType

          public KatzType()

  - ### Method Detail

    - #### getKatzScore

          public List<Integer> getKatzScore()

      Gets the value of the katzScore property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the katzScore property.

      For example, to add a new item, do as follows:

              getKatzScore().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### isContinenceDetails

          public boolean isContinenceDetails()

      Gets the value of the continenceDetails property.

    - #### setContinenceDetails

          public void setContinenceDetails(boolean value)

      Sets the value of the continenceDetails property.

    - #### getDementia

          public DementiaType getDementia()

      Gets the value of the dementia property.
      Returns:
        possible object is `DementiaType`

    - #### setDementia

          public void setDementia(DementiaType value)

      Sets the value of the dementia property.
      Parameters:
        `value` - allowed object is `DementiaType`

    - #### getPrescripter

          public String getPrescripter()

      Gets the value of the prescripter property.
      Returns:
        possible object is `String`

    - #### setPrescripter

          public void setPrescripter(String value)

      Sets the value of the prescripter property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.